package edu.fiu.jtlex.data;

import java.util.Set;
import java.util.List;

/**
 * The Interface for the indeterminacy java class
 * to implement its methods from.
 * 
 * @author ceber003
 * 
 */
public interface IIndeterminacy 
{	
	
	//returns a percent value representing the indeterminacy score.
	public String getIndeterminacyScore();
	
	//returns the adjacent indeterminant time pairings.
	public Set<INode> indeterminantTimePairs();
	
	//returns the time points which are indeterminant.
	public List<INode> indeterminantTimePoints();
	
	//returns the total number of indeterminant time points which have been located by the method.
	public int getTotalIndeterminantSections();
	
	//returns the overall length of the timeline.
	public int getTimelineLength();
	
	// returns the number of adjacent pairs which have been located by the method.
	public int getTotalAdjacentPairs();
}
